Package org.apache.commons.fileupload2.core

# Class DiskFileItemFactory.Builder

java.lang.Object
org.apache.commons.io.build.AbstractSupplier<DiskFileItemFactory,DiskFileItemFactory.Builder>
org.apache.commons.io.build.AbstractOriginSupplier<DiskFileItemFactory,DiskFileItemFactory.Builder>
org.apache.commons.io.build.AbstractStreamBuilder<DiskFileItemFactory,DiskFileItemFactory.Builder>
org.apache.commons.fileupload2.core.DiskFileItemFactory.Builder

All Implemented Interfaces:
  `org.apache.commons.io.function.IOSupplier<DiskFileItemFactory>`

Enclosing class:
  `DiskFileItemFactory`

public static class DiskFileItemFactory.Builder extends org.apache.commons.io.build.AbstractStreamBuilder<DiskFileItemFactory,DiskFileItemFactory.Builder>
Builds a new `DiskFileItemFactory` instance.

For example:

     DiskFileItemFactory factory = DiskFileItemFactory.builder().setPath(path).setBufferSize(DEFAULT_THRESHOLD).get();

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DiskFileItemFactory`
  `get()`
  Constructs a new instance.
  `DiskFileItemFactory.Builder`
  `setFileCleaningTracker(org.apache.commons.io.FileCleaningTracker fileCleaningTracker)`
  Sets the tracker, which is responsible for deleting temporary files.

  ### Methods inherited from class org.apache.commons.io.build.AbstractStreamBuilder

  `getBufferSize, getBufferSizeDefault, getCharSequence, getCharset, getCharsetDefault, getInputStream, getOpenOptions, getOutputStream, getPath, getWriter, setBufferSize, setBufferSize, setBufferSizeChecker, setBufferSizeDefault, setBufferSizeMax, setCharset, setCharset, setCharsetDefault, setOpenOptions`

  ### Methods inherited from class org.apache.commons.io.build.AbstractOriginSupplier

  `checkOrigin, getOrigin, hasOrigin, newByteArrayOrigin, newCharSequenceOrigin, newFileOrigin, newFileOrigin, newInputStreamOrigin, newOutputStreamOrigin, newPathOrigin, newPathOrigin, newReaderOrigin, newURIOrigin, newWriterOrigin, setByteArray, setCharSequence, setFile, setFile, setInputStream, setOrigin, setOutputStream, setPath, setPath, setReader, setURI, setWriter`

  ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

  `asThis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

  `asSupplier`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### get

    public DiskFileItemFactory get()
    Constructs a new instance.

    This builder use the aspects Path and buffer size.

    You must provide an origin that can be converted to a Reader by this builder, otherwise, this call will throw an `UnsupportedOperationException`.

    Returns:
      a new instance.
    Throws:
      `UnsupportedOperationException` - if the origin cannot provide a Path.
    See Also:
      - `AbstractOrigin.getReader(Charset)`

  - ### setFileCleaningTracker

    public DiskFileItemFactory.Builder setFileCleaningTracker(org.apache.commons.io.FileCleaningTracker fileCleaningTracker)
    Sets the tracker, which is responsible for deleting temporary files.
    Parameters:
      `fileCleaningTracker` - Callback to track files created, or null (default) to disable tracking.
    Returns:
      this